commit c25275e2319b096d1db1ee37088f18a131871f4e
Author: Florent Chuffart <florent.chuffart@ens-lyon.fr>
Date:   Thu Jul 16 18:02:32 2015 +0200

    Documenting c2c creation.

diff --git a/README b/README
index 461ae92..3725908 100644
--- a/README
+++ b/README
@@ -826,68 +826,49 @@ Here are the number of computed SNEPs for each forms.
 APPENDICE: Generate .c2c Files
 ==============================
 
-$$$ TODO make it works properly. working directory.
-
 The *.c2c* files is a simple table that describes how the genome
-sequence can be aligned. We generate it using NucleoMiner 1.0.
+sequence can be aligned. We generate it using some NucleoMiner 1.0
+scripts.
 
-To install NucleoMiner 1.0 on your UNIX/LINUX computer you need first
-to install the Genetic Data analysis Library (GDL), which is a dynamic
-library of useful C functions derived from the GNU Scientific Library.
+To use NucleoMiner 1.0 scripts on your UNIX/LINUX computer you need
+first to install MUMmer which is a system for rapidly aligning entire
+genomes, whether in complete or draft form.
 
 
-Installing the GDL library
---------------------------
+Installing the MUMmer library
+-----------------------------
 
-Get the gdl-1.0.tar.gz archive on your computer (in the directory deps
-of your working directory). Copy it in a dedicated directory. Go into
-this directory using the cd command, and then unfold the archive by
-typing:
+Get the last version of MUMmer archive on your computer
+(MUMmer3.23.tar.gz distributed in the directory deps of your working
+directory). Copy it in a dedicated directory. Install it locally into
+the src folder of you working directory by typing (working directory):
 
 tar -xvzf gdl-1.0.tar.gz
 
 This creates a directory called gdl-1.0. You now need to go into this
 directory and compile the library, by typing:
 
-   mkdir tmp_c2c_workdir
-   cd tmp_c2c_workdir
-   cp ../deps/gdl-1.0.tar.gz .
-   tar -xvzf gdl-1.0.tar.gz
-   cd gdl-1.0
-   ./configure
-   make
-
-   cd ..
-
-Now you need to install the library on your system. This needs root
-priviledges:
+   cd src
+   tar xfvz ../deps/MUMmer3.23.tar.gz
+   cd MUMmer3.23
+   make check
+   make install
 
-   sudo make install
 
+Installing NucleoMiner 1.0 scripts
+----------------------------------
 
-Installing NucleoMiner 1.0
---------------------------
-
-Get the nucleominer-1.0.tar.gz archive on your computer. Copy it in a
-dedicated directory. Go into this directory using the cd command, and
-then unfold the archive by typing:
-
-This creates a directory called nucleominer-1.0. You now need to go
-into this directory and compile the library, by typing:
-
-   cp ../deps/nucleominer-1.0.tar.gz .
-   tar -xvzf nucleominer-1.0.tar.gz
-   cd nucleominer-1.0
-   ln -s ../gdl-1.0/gdl
-   ./configure
-   make
+Get the nucleominer-1.0.tar.gz archive on your computer (distributed
+in the directory deps of your working directory). Install it locally
+into the src folder of you working directory by typing (working
+directory):
 
-You can then use the binaries dircetly from this folder (best then is
-to add the path to this folder in your PATH environment variable). If
-you want to install nucleominer at the system's level (useful if
-mutiple users will need it) then type, with root priviledges:
+   cd src
+   tar xfvz ../deps/nucleominer-1.0.tar.gz
+   cd ..
 
-   sudo make install
+This creates a directory called that contains  NucleoMiner 1.0 scripts
+(src/nucleominer-1.0/scripts).
 
 
 Generate .c2c Files
@@ -896,9 +877,10 @@ Generate .c2c Files
 To generate .c2c files you need to type the following command in a
 terminal:
 
-   mkdir dir_4_c2c
-   NMgxcomp ../data/saccharomyces_cerevisiae_BY_S288c_chromosomes.fasta\
-            ../data/saccharomyces_cerevisiae_rm11-1a_1_supercontigs.fasta\
-            dir_4_c2c/BY_RM 2>dir_4_c2c/BY_RM.log
+   export PATH=$PATH:src/MUMmer3.23:src/nucleominer-1.0/scripts
+   export PERL5LIB=$PERL5LIB:src/nucleominer-1.0/scripts/
+   NMgxcomp data/saccharomyces_cerevisiae_BY_S288c_chromosomes.fasta \
+     data/saccharomyces_cerevisiae_rm11-1a_1_supercontigs.fasta \
+     data/byxrm 2>NMgxcomp.log
 
-After execution, the directory *dir_4_c2c* will hold the .c2c files.
+After execution, the directory *data* will hold the .c2c files.
diff --git a/build/nucleominer_2.3.49.tar.gz b/build/nucleominer_2.3.49.tar.gz
new file mode 100644
index 0000000..b646da4
Binary files /dev/null and b/build/nucleominer_2.3.49.tar.gz differ
diff --git a/build/nucleominer_2.3.50.tar.gz b/build/nucleominer_2.3.50.tar.gz
new file mode 100644
index 0000000..4235ead
Binary files /dev/null and b/build/nucleominer_2.3.50.tar.gz differ
diff --git a/doc/Chuffart_NM2_workdir/deps/nucleominer-1.0.tar.gz b/doc/Chuffart_NM2_workdir/deps/nucleominer-1.0.tar.gz
index dae12d6..b8f3d42 100644
Binary files a/doc/Chuffart_NM2_workdir/deps/nucleominer-1.0.tar.gz and b/doc/Chuffart_NM2_workdir/deps/nucleominer-1.0.tar.gz differ
diff --git a/doc/sphinx_doc/build/latex/NucleoMiner2.pdf b/doc/sphinx_doc/build/latex/NucleoMiner2.pdf
index db8f740..78a1e08 100644
Binary files a/doc/sphinx_doc/build/latex/NucleoMiner2.pdf and b/doc/sphinx_doc/build/latex/NucleoMiner2.pdf differ
diff --git a/doc/sphinx_doc/conf.py b/doc/sphinx_doc/conf.py
index 55e96d8..194191f 100644
--- a/doc/sphinx_doc/conf.py
+++ b/doc/sphinx_doc/conf.py
@@ -50,9 +50,9 @@ copyright = u'2012, Florent CHUFFART, Jean-Baptiste VEYRIERAS, Gael YVERT'
 # built documents.
 #
 # The short X.Y version.
-version = '2.3.49'
+version = '2.3.50'
 # The full version, including alpha/beta/rc tags.
-release = '2.3.49'
+release = '2.3.50'
 
 # The language for content autogenerated by Sphinx. Refer to documentation
 # for a list of supported languages.
diff --git a/doc/sphinx_doc/rref.rst b/doc/sphinx_doc/rref.rst
index b44e035..a2d1c50 100644
--- a/doc/sphinx_doc/rref.rst
+++ b/doc/sphinx_doc/rref.rst
@@ -1256,7 +1256,7 @@ Details
 +---------------+---------------------------------------------------+
 | Author:       | Florent Chuffart                                  |
 +---------------+---------------------------------------------------+
-| Version:      | 2.3.49                                            |
+| Version:      | 2.3.50                                            |
 +---------------+---------------------------------------------------+
 | License:      | CeCILL                                            |
 +---------------+---------------------------------------------------+
diff --git a/doc/sphinx_doc/tuto.rst b/doc/sphinx_doc/tuto.rst
index 44c64a9..a4ccb52 100644
--- a/doc/sphinx_doc/tuto.rst
+++ b/doc/sphinx_doc/tuto.rst
@@ -636,18 +636,15 @@ wpunr   BY-RM 39961    5240
 APPENDICE: Generate .c2c Files
 ------------------------------
 
-$$$ TODO make it works properly.
-working directory.
 
+The `.c2c` files is a simple table that describes how the genome sequence can be aligned. We generate it using some NucleoMiner 1.0 scripts.
 
-The `.c2c` files is a simple table that describes how the genome sequence can be aligned. We generate it using NucleoMiner 1.0.
+To use NucleoMiner 1.0 scripts on your UNIX/LINUX computer you need first to install MUMmer which is a system for rapidly aligning entire genomes, whether in complete or draft form.
 
-To install NucleoMiner 1.0 on your UNIX/LINUX computer you need first to install the Genetic Data analysis Library (GDL), which is a dynamic library of useful C functions derived from the GNU Scientific Library.
-
-Installing the GDL library
-^^^^^^^^^^^^^^^^^^^^^^^^^^
+Installing the MUMmer library
+^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
 
-Get the gdl-1.0.tar.gz archive on your computer (in the directory deps of your working directory). Copy it in a dedicated directory. Go into this directory using the cd command, and then unfold the archive by typing:
+Get the last version of MUMmer archive on your computer (MUMmer3.23.tar.gz distributed in the directory deps of your working directory). Copy it in a dedicated directory. Install it locally into the src folder of you working directory by typing (working directory):
 
 tar -xvzf gdl-1.0.tar.gz
 
@@ -655,44 +652,26 @@ This creates a directory called gdl-1.0. You now need to go into this directory
 
 .. code:: bash
 
-  mkdir tmp_c2c_workdir
-  cd tmp_c2c_workdir
-  cp ../deps/gdl-1.0.tar.gz .
-  tar -xvzf gdl-1.0.tar.gz
-  cd gdl-1.0
-  ./configure
-  make
-  
-  cd ..
-  
-
-Now you need to install the library on your system. This needs root priviledges:
+  cd src 
+  tar xfvz ../deps/MUMmer3.23.tar.gz
+  cd MUMmer3.23
+  make check
+  make install
 
-.. code:: bash
-
-  sudo make install
-
-Installing NucleoMiner 1.0
-^^^^^^^^^^^^^^^^^^^^^^^^^^
+Installing NucleoMiner 1.0 scripts
+^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
 
-Get the nucleominer-1.0.tar.gz archive on your computer. Copy it in a dedicated directory. Go into this directory using the cd command, and then unfold the archive by typing:
+Get the nucleominer-1.0.tar.gz archive on your computer (distributed in the directory deps of your working directory). Install it locally into the src folder of you working directory by typing (working directory):
 
-This creates a directory called nucleominer-1.0. You now need to go into this directory and compile the library, by typing:
 
 .. code:: bash
 
-  cp ../deps/nucleominer-1.0.tar.gz .
-  tar -xvzf nucleominer-1.0.tar.gz
-  cd nucleominer-1.0
-  ln -s ../gdl-1.0/gdl
-  ./configure
-  make
-
-You can then use the binaries dircetly from this folder (best then is to add the path to this folder in your PATH environment variable). If you want to install nucleominer at the system's level (useful if mutiple users will need it) then type, with root priviledges:
+  cd src 
+  tar xfvz ../deps/nucleominer-1.0.tar.gz 
+  cd ..
 
-.. code:: bash
+This creates a directory called that contains  NucleoMiner 1.0 scripts (src/nucleominer-1.0/scripts). 
 
-  sudo make install
 
 Generate .c2c Files
 ^^^^^^^^^^^^^^^^^^^
@@ -701,9 +680,10 @@ To generate .c2c files you need to type the following command in a terminal:
 
 .. code:: bash
 
-  mkdir dir_4_c2c
-  NMgxcomp ../data/saccharomyces_cerevisiae_BY_S288c_chromosomes.fasta\
-           ../data/saccharomyces_cerevisiae_rm11-1a_1_supercontigs.fasta\
-           dir_4_c2c/BY_RM 2>dir_4_c2c/BY_RM.log
+  export PATH=$PATH:src/MUMmer3.23:src/nucleominer-1.0/scripts
+  export PERL5LIB=$PERL5LIB:src/nucleominer-1.0/scripts/
+  NMgxcomp data/saccharomyces_cerevisiae_BY_S288c_chromosomes.fasta \
+    data/saccharomyces_cerevisiae_rm11-1a_1_supercontigs.fasta \
+    data/byxrm 2>NMgxcomp.log
             
-After execution, the directory `dir_4_c2c` will hold the .c2c files.
+After execution, the directory `data` will hold the .c2c files.
diff --git a/src/DESCRIPTION b/src/DESCRIPTION
index 71e1db0..a7d20ff 100644
--- a/src/DESCRIPTION
+++ b/src/DESCRIPTION
@@ -1,7 +1,7 @@
 Package: nucleominer
 Maintainer: Florent Chuffart <florent.chuffart@ens-lyon.fr>
 Author: Florent Chuffart
-Version: 2.3.49
+Version: 2.3.50
 License: CeCILL 
 Title: nm
 Depends: seqinr, plotrix, DESeq, cachecache, dplyr
